<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:21:24 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/package-summary.html" target="classFrame">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="Array.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Array</span></a></li>
<li><a href="C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">C_CppFactory</span></a></li>
<li><a href="C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">C_CppPackage</span></a></li>
<li><a href="C_CppPackage.Literals.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">C_CppPackage.Literals</span></a></li>
<li><a href="Const.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Const</span></a></li>
<li><a href="ConstInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">ConstInit</span></a></li>
<li><a href="CppInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">CppInit</span></a></li>
<li><a href="CppRoot.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">CppRoot</span></a></li>
<li><a href="External.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">External</span></a></li>
<li><a href="ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">ExternLibrary</span></a></li>
<li><a href="Friend.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Friend</span></a></li>
<li><a href="Include.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Include</span></a></li>
<li><a href="Inline.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Inline</span></a></li>
<li><a href="ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">ManualGeneration</span></a></li>
<li><a href="Mutable.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Mutable</span></a></li>
<li><a href="NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">NoCodeGen</span></a></li>
<li><a href="Ptr.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Ptr</span></a></li>
<li><a href="Ref.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Ref</span></a></li>
<li><a href="StorageClass.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">StorageClass</span></a></li>
<li><a href="Template.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Template</span></a></li>
<li><a href="TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">TemplateBinding</span></a></li>
<li><a href="TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">TemplateParameter</span></a></li>
<li><a href="Typedef.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Typedef</span></a></li>
<li><a href="Union.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Union</span></a></li>
<li><a href="Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Variadic</span></a></li>
<li><a href="Virtual.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Virtual</span></a></li>
<li><a href="Visibility.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Visibility</span></a></li>
<li><a href="Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame"><span class="interfaceName">Volatile</span></a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="EAccessKind.html" title="enum in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame">EAccessKind</a></li>
<li><a href="EStorageClass.html" title="enum in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame">EStorageClass</a></li>
<li><a href="VisibilityKind.html" title="enum in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp" target="classFrame">VisibilityKind</a></li>
</ul>
</div>
</body>
</html>
